Your trades and transactions history
Fetch trades and transactions by one request, maximum 100 in response.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
skipoptional | body | number | Skip to get next results (max 1000) |
startoptional | body | string | Start date |
endoptional | body | string | End date |
sortoptional | body | enum | Sort by creation time enum: DESC, ASC |
floatoptional | body | number | Selects item float if set to 1 (May be null if an item inspect has not been done before sale) |
hold_onlyoptional | body | boolean | Filter to show only trades with funds on hold (is_released=false with release_date present) |
spendingsoptional | body | boolean | Include outgoing balance history (balance decreases, e.g. tips sent) in a |
incomingsoptional | body | boolean | Include incoming balance history (balance increases, e.g. tips received) in an |
{
"skip": 0,
"start": "09-20-2022",
"end": "10-25-2022",
"sort": "DESC",
"float": 0,
"hold_only": false,
"spendings": false,
"incomings": false
}Responses
200 successful operation
{
"success": true,
"data": {
"trades": [
{
"date": "2022-10-29T23:58:17.318Z",
"created": "2022-10-29T23:52:17.318Z",
"id": 4258120,
"item_id": "27341302961",
"give_amount": 1898572,
"image": "https://steamcommunity-a.akamaihd.net/economy/image/class/730/4839650857/200fx125f",
"price": 2019758,
"trade_id": 123456789,
"game": "csgo",
"name": "★ Karambit | Gamma Doppler (Factory New)",
"market_name": "Gamma Doppler Phase 3",
"float": 0.0460052728652954,
"status": 5,
"average": 2419222,
"action": "buy",
"is_released": false,
"release_date": "2025-07-28T10:30:00.000Z"
}
],
"transactions": [
{
"wallet": "string",
"type": "BTC",
"status": "completed",
"amount": 10256672,
"give_amount": 10256672,
"direction": "in",
"date": "2022-01-22T01:22:43.021Z"
}
]
}
}